Subject: Re: [PATCH] branch: move multiple branches in a single --force

From: Junio C Hamano <[email-masked]>
Date: Wed, 11 Jun 2025 08:26:33 -0700

Andrea Stacchiotti <[email-masked]> writes:

> Il giorno mer 11 giu 2025 alle ore 02:22 Junio C Hamano
> <[email-masked]> ha scritto:
>>
>> Andrea Stacchiotti <[email-masked]> writes:
>>
>> > This patch aims to make repointing multiple branches to the same commit-ish
>> > easier, currently it needs a shell loop.
>>
>> Or "update-ref --stdin"?
>
> I learned something new, but I'd still like to keep advocating for a syntax
> like `branch --some-flag A B C X` instead of feeding by hand
> update-ref commands.

I am personally not interested in such a mode, I do not know why you
think "--some-flag" is needed when the command can figure out from
the number of things on the command line being more than 2 just
fine.

But my comment was targetted against "it needs a shell loop" in the
justification in the proposed log message, which is not quite
correct.